This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 168826 - File conflicts between 32bit and 64bit packages
File conflicts between 32bit and 64bit packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 11:09 EDT by Phil Knirsch
Modified: 2015-03-04 20:15 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.3-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-24 16:54:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2005-09-20 11:09:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050818 Fedora/1.1-0.2.7.deerpark.alpha2.1 Firefox/1.0+

Description of problem:
File conflicts exists between the installed 32bit and 64bit packages:

Error: ruby-libs-1.8.2-9.i386 file conflicts with:
Error:  '/usr/share/doc/ruby-libs-1.8.2/ext/dl/dlconfig.rb' <=> ruby-libs-1.8.2-9.x86_64


Version-Release number of selected component (if applicable):
ruby-libs-1.8.2-9

How reproducible:
Always

Steps to Reproduce:
1. Use a file conflict enabled rpm to install both 32bit and 64bit versions of this package
2.
3.
  

Actual Results:  See listed file conflicts in description

Expected Results:  No file conflicts

Additional info:
Comment 1 Akira TAGOH 2005-09-20 20:10:49 EDT
Does this mean the multilib packages shouldn't contains any files except the
libraries which will be installed at the different location?
Comment 2 Akira TAGOH 2005-10-04 00:52:33 EDT
Ok, just moved the documents to ruby-docs package. this problem should be fixed
in 1.8.3-4. please confirm.

Note You need to log in before you can comment on or make changes to this bug.